# pixel-private.h File Reference

`#include <magick/exception-private.h>`
`#include <magick/image.h>`
`#include <magick/color.h>`
`#include <magick/image-private.h>`
`#include <magick/quantum-private.h>`

Go to the source code of this file.

## Data Structures

struct | _RealPixelPacket

## Typedefs

typedef struct _RealPixelPacket | RealPixelPacket

## Functions

static MagickPixelPacket * | CloneMagickPixelPacket (const MagickPixelPacket *pixel)
static void | SetMagickPixelPacket (const Image *image, const PixelPacket *color, const IndexPacket *index, MagickPixelPacket *pixel)
static void | SetPixelPacket (const Image *image, const MagickPixelPacket *pixel, PixelPacket *color, IndexPacket *index)

## Typedef Documentation

typedef struct _RealPixelPacket RealPixelPacket

## Function Documentation

static MagickPixelPacket* CloneMagickPixelPacket | ( | const MagickPixelPacket * | pixel | ) | `[inline, static]`

static void SetMagickPixelPacket | ( | const Image * | image,
|  | const PixelPacket * | color,
|  | const IndexPacket * | index,
|  | MagickPixelPacket * | pixel |
| ) |  |  | `[inline, static]`

static void SetPixelPacket | ( | const Image * | image,
|  | const MagickPixelPacket * | pixel,
|  | PixelPacket * | color,
|  | IndexPacket * | index |
| ) |  |  | `[inline, static]`